#!/bin/bash

anytoppm $FW_INFILE _tmp/logo.ppm || reject_firmware
case $FW_IDENT in
	logo_bw)
	# BMP 128x48 (1-bit)
	cat _tmp/logo.ppm | pnmscale -width 128 -height 48 \
			| ppmquant 2 | ppmdist | ppmfix  \
			| ppmtobmp >logo.bmp
	;;
	logo_color)
	# BMP 320x240 (1, 4, 8, 24, or 32-bit)
	cat _tmp/logo.ppm | pnmscale -width 320 -height 240 \
			| ppmfix  | ppmtobmp >logo.bmp
	;;
esac

cat logo.bmp | bmptopnm | ppmfix | pnmtopng >_preview.png
accept_firmware
